Skip to main content
POST
/
v1
/
virtual-accounts
Create a virtual account
curl --request POST \
  --url https://api.ledger.so/v1/virtual-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>",
  "sourceCurrency": "<string>"
}
'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "customerId": "<string>",
    "sourceCurrency": "<string>",
    "status": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "depositInstructions": {}
  }
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token: Authorization: Bearer ld_live_...

Body

application/json
customerId
string
required

The customer ID to associate this virtual account with

sourceCurrency
string
required

The currency for the virtual account (e.g. "usd")

Response

Virtual account created

ok
enum<boolean>
required
Available options:
true
data
object
required